Package org.apache.cayenne.exp

## Class TraversalHelper

- java.lang.Object
- - org.apache.cayenne.exp.TraversalHelper

- All Implemented Interfaces:
    `TraversalHandler`

      public class TraversalHelper
      extends Object
      implements TraversalHandler

  Noop implementation of TraversalHandler. Useful as a superclass for partial implementations of TraversalHandler.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TraversalHelper()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `endNode​(Expression node, Expression parentNode)` | Called during the traversal after an expression node children processing is finished.
    `void` | `finishedChild​(Expression node, int childIndex, boolean hasMoreChildren)` | Called during traversal after a child of expression has been visited.
    `void` | `objectNode​(Object leaf, Expression parentNode)` | Called during the traversal when a leaf non-expression node is encountered.
    `void` | `startNode​(Expression node, Expression parentNode)` | Called during the traversal before an expression node children processing is started.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TraversalHelper

          public TraversalHelper()

  - ### Method Detail

    - #### startNode

          public void startNode​(Expression node,
                                Expression parentNode)

      Description copied from interface: `TraversalHandler`
      Called during the traversal before an expression node children processing is started.
      Specified by:
        `startNode` in interface `TraversalHandler`

    - #### endNode

          public void endNode​(Expression node,
                              Expression parentNode)

      Description copied from interface: `TraversalHandler`
      Called during the traversal after an expression node children processing is finished.
      Specified by:
        `endNode` in interface `TraversalHandler`

    - #### finishedChild

          public void finishedChild​(Expression node,
                                    int childIndex,
                                    boolean hasMoreChildren)

      Description copied from interface: `TraversalHandler`
      Called during traversal after a child of expression has been visited.
      Specified by:
        `finishedChild` in interface `TraversalHandler`

    - #### objectNode

          public void objectNode​(Object leaf,
                                 Expression parentNode)

      Description copied from interface: `TraversalHandler`
      Called during the traversal when a leaf non-expression node is encountered.
      Specified by:
        `objectNode` in interface `TraversalHandler`